<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('servers', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->text('description')->nullable();
            $table->string('module')->nullable();
            $table->string('hostname');
            $table->string('ip_address');
            $table->string('username');
            $table->string('password');
            $table->integer('port')->default(22); // Default SSH port
            $table->enum('status', ['active', 'inactive'])->default('active');
            $table->integer('maximum_hosts')->nullable(); // Maksimum barındırılacak host sayısı
            $table->integer('current_hosts')->default(0); // Şu anda barındırılan host sayısı
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('servers');
    }
};
